﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\FCM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FCM_CHECKINGBILL') 
 CREATE TABLE T_FCM_CHECKINGBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPERIODPROPVALUE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORGPROPVALUE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FLASTUPDATETIME DATETIME,
FBILLNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FCM_CHECKINGBILL_L') 
 CREATE TABLE T_FCM_CHECKINGBILL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FCM_CHECKINGPLUGIN_L') 
 CREATE TABLE T_FCM_CHECKINGPLUGIN_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FCM_CHECKITEM_L') 
 CREATE TABLE T_FCM_CHECKITEM_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FCM_CHECKINGPLUGIN') 
 CREATE TABLE T_FCM_CHECKINGPLUGIN (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FAPPLICATIONID BIGINT DEFAULT 0 NOT NULL,
FCHECKTYPEID VARCHAR(20) DEFAULT ' ' NOT NULL,
FPLUGIN VARCHAR(100) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FCM_APP_ACCOUNT') 
 CREATE TABLE T_FCM_APP_ACCOUNT (
FID BIGINT DEFAULT 0 NOT NULL,
FBIZAPPID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FACCOUNTENTITY NVARCHAR(36) DEFAULT ' ' NOT NULL,
FACCOUNTTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FACCOUNTTYPENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSEARCHFIELD NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FFILTERSTR NCLOB,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FPERIODENTITYNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPERIODIDPROPERTY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPERIODFILTEREXPR NVARCHAR(400) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FCM_CHECKITEM') 
 CREATE TABLE T_FCM_CHECKITEM (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCTRLSTRATEGY CHAR(1) DEFAULT '6' NOT NULL,
FBIZAPPID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSUBBIZAPPID NVARCHAR(20) DEFAULT ' ' NOT NULL,
FCHECKBILLID BIGINT DEFAULT 0 NOT NULL,
FCHECKCONDITIONEXPR NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FCHECKPLUGINID BIGINT DEFAULT 0 NOT NULL,
FSUGGESTTYPE CHAR(1) DEFAULT '1' NOT NULL,
FCHECKMETHOD CHAR(1) DEFAULT ' ' NOT NULL,
FBILLVIEWID CHAR(1) DEFAULT '1' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FENABLECHANGE CHAR(1) DEFAULT '1' NOT NULL,
FISEFFECTIVE CHAR(1) DEFAULT '1' NOT NULL
);


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\FCM_table.sql **/
