IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FCM_CHECKITEMSTATUS') 
 CREATE TABLE T_FCM_CHECKITEMSTATUS (
FID BIGINT DEFAULT 0 NOT NULL,
FCHECKITEMID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FISEFFECTIVE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FCMSTATUS_CII') CREATE INDEX IDX_FCMSTATUS_CII ON T_FCM_CHECKITEMSTATUS ( FCHECKITEMID );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FCMSTATUS_ORG') CREATE INDEX IDX_FCMSTATUS_ORG ON T_FCM_CHECKITEMSTATUS ( FUSEORGID );
