﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\FCM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FCM_PLUGINPARAMENTRY') 
 CREATE TABLE T_FCM_PLUGINPARAMENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPREQUIRE CHAR(1) DEFAULT ' ' NOT NULL,
FPTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FPDEFAULTVALUE VARCHAR(20) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME DEFAULT GETDATE() NOT NULL,
FPNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPVALUERANGE NVARCHAR(512) DEFAULT ' ' NOT NULL,
FPDESC NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FCM_PLUGINPARAMENTRY_L') 
 CREATE TABLE T_FCM_PLUGINPARAMENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPVALUERANGE NVARCHAR(512) DEFAULT ' ' NOT NULL,
FPDESC NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FCM_CHECKITEM' AND KSQL_COL_NAME ='FPLUGINPARAMJSON') 
 ALTER TABLE T_FCM_CHECKITEM ADD (FPLUGINPARAMJSON NVARCHAR(512) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\FCM_table.sql **/
